Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 444442 - x11-drivers/xf86-video-sis with xorg-server-1.13.0-r1 - X segfaults at startup
Summary: x11-drivers/xf86-video-sis with xorg-server-1.13.0-r1 - X segfaults at startup
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2012-11-23 14:57 UTC by olafhoch
Modified: 2015-09-26 16:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description olafhoch 2012-11-23 14:57:01 UTC
After upgrading to xorg-server-1.13.0-r1 and rebuilding xf86-video-sis, x-server crashes at start-up with Segmentation faullt.

Workaround:
In the Device section set
"Option" "NoAccel" "true"

Seems it is a known issue:
https://projects.archlinux.org/svntogit/packages.git/tree/trunk/0001-Disable-UploadToScreen-and-DownloadFromScreen.patch?h=packages/xf86-video-sis

Can this be added to the xf86-video-sis package.
Tested the solution and fixed the problem for me.
Comment 1 Fab 2012-11-24 20:12:44 UTC
Confirming the crash on x86 since recent xorg update from bug #440872.
Comment 3 Eugeny Shkrigunov 2013-03-04 09:50:28 UTC
Hi!
Sorry for my English.

I have a few computers with a this problem.
After applying the patch part of the computer is running, while the other part is still not working.

work:
01:00.0 VGA compatible controller [0300]: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter [1039:6330] (prog-if 00 [VGA controller])
        Subsystem: Foxconn International, Inc. Device [105b:0c56]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 10
        BIST result: 00
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at ed000000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at c000 [size=128]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

dmidecode:
BIOS Information
        Vendor: Phoenix Technologies, LTD
        Version: 6.00 PG
        Release Date: 03/14/2005


does not work:
01:00.0 VGA compatible controller [0300]: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter [1039:6330] (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. SiS Real 256E (ASUS P5S800-VM motherboard) [1043:8113]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 16
        BIST result: 00
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at e7800000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at d800 [size=128]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

dmidecode:
BIOS Information
        Vendor: Award Software, Inc.
        Version: ASUS P4S800MX ACPI BIOS Revision 1010
        Release Date: 09/02/2004


All soft the same (NFS root, LTSP terminals).
Comment 4 Adrian Nowicki 2015-01-18 12:27:16 UTC
I confirm the crash.
I've used the following patches from Ubuntu Trusty (<http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-video-sis/xserver-xorg-video-sis_0.10.7-0ubuntu6.diff.gz>): fix-ftbfs.diff and fix-exa-crash.diff on top of xf86-video-sis-0.10.7 and unmasked it in xorg-drivers-1.15 (current stable) and it does work for me on my Travelmate 2310.

lspci output:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 661FX/M661FX/M661MX Host (rev 11)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] AGP Port (virtual PCI-to-PCI bridge)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO] LPC Controller (rev 25)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2/3 SMBus controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 IDE Controller
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] SiS7012 AC'97 Sound Controller (rev a0)
00:03.0 USB controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.1 USB controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.3 USB controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 91)
00:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller (rev 02)
Comment 5 Matt Turner gentoo-dev 2015-09-05 06:31:11 UTC
I believe this was fixed by the removal of the SiSUploadToScreen/SiSDownloadFromScreen functions in the xf86-video-sis-0.10.8 release. I've asked in the upstream bug for confirmation.
Comment 6 Matt Turner gentoo-dev 2015-09-26 16:43:53 UTC
Upstream says this is fixed by 0.10.8 (which is stable). Please reopen if this doesn't match your experience.